Package org.apache.jmeter.protocol.http.sampler

# Class HTTPSamplerBaseConverter

java.lang.Object
com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter
org.apache.jmeter.save.converters.TestElementConverter
org.apache.jmeter.protocol.http.sampler.HTTPSamplerBaseConverter

All Implemented Interfaces:
  `com.thoughtworks.xstream.converters.Converter`, `com.thoughtworks.xstream.converters.ConverterMatcher`

public class HTTPSamplerBaseConverter extends TestElementConverter
Class for XStream conversion of HTTPResult

## Constructor Summary

Constructors
Constructor
Description
`HTTPSamplerBaseConverter(com.thoughtworks.xstream.mapper.Mapper arg0)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canConvert(Class arg0)`
`static String`
`getVersion()`
Returns the converter version; used to check for possible incompatibilities
`Object`
`unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)`
Override TestElementConverter; convert HTTPSamplerBase to merge the two means of providing file names into a single list.

### Methods inherited from class org.apache.jmeter.save.converters.TestElementConverter

`marshal`

### Methods inherited from class com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter

`createCollection, mapper, readBareItem, readCompleteItem, readItem, writeBareItem, writeCompleteItem, writeItem, writeNullItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HTTPSamplerBaseConverter

public HTTPSamplerBaseConverter(com.thoughtworks.xstream.mapper.Mapper arg0)

## Method Details

### getVersion

public static String getVersion()
Returns the converter version; used to check for possible incompatibilities

Returns:
  the version of this component

### canConvert

public boolean canConvert(Class arg0)

Specified by:
  `canConvert` in interface `com.thoughtworks.xstream.converters.ConverterMatcher`
Overrides:
  `canConvert` in class `TestElementConverter`

### unmarshal

public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)
Override TestElementConverter; convert HTTPSamplerBase to merge the two means of providing file names into a single list.

Specified by:
  `unmarshal` in interface `com.thoughtworks.xstream.converters.Converter`
Overrides:
  `unmarshal` in class `TestElementConverter`